function yhat = NEEnonLinReg(p,X)

lambda = p(1);
Topt   = p(2);
PAR0   = p(3);
alpha  = p(4);
beta   = p(5);
Tlow   = p(6);

PAR   = X(:,1);
Ta    = X(:,2);
rBLUE = X(:,3);
rNIR  = X(:,4);
rRED  = X(:,5);
rSWIR = X(:,6);  clear p X

Tmin =   0;
Tmax =  40;

Tscl  = (max(Tmin,Ta) - Tmin) .* (Ta - Tmax);
Tscl  = Tscl ./ ( Tscl - (Ta - Topt).*(Ta - Topt) );

EVI  = 2.5*(rNIR - rRED) ./ (rNIR + 6*rRED - 7.5*rBLUE + 1);
LSWI = (rNIR - rSWIR) ./ (rNIR + rSWIR); 

Wscl = (1 + LSWI) ./ (1 + max(LSWI));

% Pscl = 1./(1+exp(-.5*(dy-145))) - 1./(1+exp(-.5*(dy-305)));
Pscl = .5*(1+LSWI);
Prod = Wscl .* Pscl;

NEEhat = -lambda*Tscl.*Prod.*EVI.*PAR./(1+PAR./PAR0);
NEEhat = NEEhat + alpha*max(Tlow,Ta) + beta;

yhat = NEEhat;